Subject: Re: [manet] 1st AODV Interop a Success!

From: "Elizabeth M. Belding-Royer" <[email-masked]>
Date: Mon, 1 Apr 2002 10:15:57 -0800 (PST)

Hi Jaehoon,

I don't know whether the two IPv6 implementations are publically
available.  To my knowledge they are not.  However, the two developers
of those implementations are on this list, so if the implementations
are available I'm sure they will let you know.

I have heard of people implementing MAODV, but I have not yet heard
of any completed implementations.  Does anyone out there have one?

There are three available AODVv4 implementations on the AODV webpage
(http://moment.cs.ucsb.edu/AODV/aodv.html).  One more will be released
very soon.

Elizabeth

~> 
~> I am Jaehoon, researcher of ETRI in Korea.
~> ETRI is under the development of IPv6 ad-hoc multicast application such as 
video-conferencing.
~> Because ETRI thought there are no implementation of IPv6 AODV and IPv6 MAODV,
~> ETRI planned to implement IPv6 AODV and IPv6 MAODV for itself.
~> We are pleased to hear the news from you. We would like to know if we can get 
 IPv6 AODV
~> source code from anyone or any organization. We think the reference will be 
helpful for us.
~> I also wonder if IPv4 MAODV or IPv6 MAODV has been already implemented.
~> Thanks in advance.
~> 
~> Regards,
~> Jaehoon
~> 
~> ----- Original Message ----- 
~> From: "Elizabeth M. Belding-Royer" <[email-masked]>
~> To: <[email-masked]>; <[email-masked]>
~> Cc: <[email-masked]>
~> Sent: Thursday, March 28, 2002 7:45 AM
~> Subject: [manet] 1st AODV Interop a Success!
~> 
~> 
~> > 
~> > We are pleased to announce a successful 1st AODV Interop.
~> > The event was held at the University of California, Santa Barbara
~> > on March 25 and 26th, 2002.  Attending were four IPv4 implementations
~> > and two IPv6 implementations.  
~> > 
~> > Interoperation of the IPv4 implemenations was very successful.  
~> > Operation was tested over wired Ethernet, over wireless links 
~> > using ipTables to provide binary link connectivity, and over
~> > wireless links using obstacles to provide link disconnections.  
~> > The latter test included nodes distributed throughout a building, 
~> > and route discovery and web page retrieval over a four node path.  
~> > Route discovery, link break detection, and subsequent route repair 
~> > through a different intermediate node was tested with the four
~> > implementations and all successfully worked.  Networks with as
~> > many as seven nodes were tested.
~> > 
~> > The IPv6 implementations successfully interoperated with
~> > hello-based and reactive route discovery.  A more limited set of
~> > tests (less than 3 hops) were performed with the IPv6 implementations,
~> > primarily due to lack of adequate filtering support for IPv6 on the 
~> > tested platforms, and a smaller number of available implementations. 
~> > These tests provided the first evidence that the same interoperation 
~> > as with IPv4 is feasible using the IPv6 version of the protocol.
~> > 
~> > Further details about the event are forthcoming, once post-processing
~> > is completed.
~> > 
~> > Thanks to all who attended and helped plan the event!
~> > 
~> > Elizabeth
~> > 
~> > 
~> > _______________________________________________
~> > manet mailing list
~> > [email-masked]
~> > https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Elizabeth M. Belding-Royer" <[email-masked]>
Date: Mon, 1 Apr 2002 10:15:57 -0800 (PST)

Hi Jaehoon,

Elizabeth

~>